> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# visibleintask

> Visible in list for tasks - places where task button can appear.

## "visibleintask" MDO List

Visible in list for tasks: places where task button can appear.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.VisibleInTaskProvider">VisibleInTaskProvider</see> class.
The name of the MDO list is 'visibleintask'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/visibleintask
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("visibleintask", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                             | StyleHint | ExtraInfo |
| -- | -------------------------------- | --------- | --------- |
| 14 | Company selection                |           |           |
| 59 | Company selection (mailings)     |           |           |
| 40 | Company selection (external)     |           |           |
| 16 | Sale selection (Sales)           |           |           |
| 31 | Sale selection (Companies)       |           |           |
| 61 | Sale selection (mailings)        |           |           |
| 42 | Sale selection (external)        |           |           |
| 18 | Project selection (Projects)     |           |           |
| 33 | Project selection (Companies)    |           |           |
| 63 | Project selection (mailings)     |           |           |
| 44 | Project selection (external)     |           |           |
| 15 | Follow-up selection (Follow-ups) |           |           |
| 30 | Follow-up selection  (Companies) |           |           |
| 60 | Follow-up selection (mailings)   |           |           |
| 41 | Follow-up selection (external)   |           |           |
| 17 | Document selection (Documents)   |           |           |
| 32 | Document selection (Companies)   |           |           |
| 62 | Document selection (mailings)    |           |           |
| 43 | Document selection (external)    |           |           |
| 53 | Product selection (products)     |           |           |
| 54 | Product selection (companies)    |           |           |

## Related MDO Lists

* "visibleintaskheadings"
* "visibleintaskheadingswithallitem"
* "visibleintaskheadingswithallitemwithnoselection"
* "visibleintaskheadingswithnoselection"
* "visibleintaskwithallitem"
* "visibleintaskwithallitemwithnoselection"
* "visibleintaskwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
